<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getInformation](./bitburner.sleeve.getinformation.md)

## Sleeve.getInformation() method

Get information about a sleeve.

<b>Signature:</b>

```typescript
getInformation(sleeveNumber: number): SleeveInformation;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to retrieve information. |

<b>Returns:</b>

[SleeveInformation](./bitburner.sleeveinformation.md)

Object containing tons of information about this sleeve.

## Remarks

RAM cost: 4 GB

Return a struct containing tons of information about this sleeve

